<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_VisaElement StructType
 * @subpackage Structs
 */
class JP_VisaElement extends JP_BaseElement
{
    /**
     * The VisaBookingInfo
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaBookingInfo
     */
    public $VisaBookingInfo;
    /**
     * Constructor method for JP_VisaElement
     * @uses JP_VisaElement::setVisaBookingInfo()
     * @param \StructType\JP_VisaBookingInfo $visaBookingInfo
     */
    public function __construct(\StructType\JP_VisaBookingInfo $visaBookingInfo = null)
    {
        $this
            ->setVisaBookingInfo($visaBookingInfo);
    }
    /**
     * Get VisaBookingInfo value
     * @return \StructType\JP_VisaBookingInfo|null
     */
    public function getVisaBookingInfo()
    {
        return $this->VisaBookingInfo;
    }
    /**
     * Set VisaBookingInfo value
     * @param \StructType\JP_VisaBookingInfo $visaBookingInfo
     * @return \StructType\JP_VisaElement
     */
    public function setVisaBookingInfo(\StructType\JP_VisaBookingInfo $visaBookingInfo = null)
    {
        $this->VisaBookingInfo = $visaBookingInfo;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_VisaElement
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
